// body,
// html {
//   -webkit-font-smoothing: antialiased;
//   // text-rendering: optimizeLegibility;
//   background: white;
//   // height: 100%; // disables elastic scroll in 3row cssbox model
//   // overflow: hidden; // disables elastic scroll in 3row cssbox model
//   overflow-x: hidden;
//   overflow-y: scroll;
  
//   // padding: 0;
//   // margin: 0;
//   // position: static; // perhaps may be fixed if unexpected elastic scrollbehaviour occures
//   text-rendering: optimizeSpeed !important;
//   // width: 100%; // disables elastic scroll in 3row cssbox model
// }

html,
body {
  overflow-x: hidden;
  overflow-y: auto;
  width: 100vw;
}


// html {
//   background-color: pink;
// }

// body {
//   background-color: tomato;
// }

html.-is-height-locked {
  // height: 100vh;
  max-height: 100vh;
  overflow: hidden;
  width: 100vw;

  body {
    overflow: hidden;
  }
}


div { // TODO Remove me
  &[bg-src] {
    @include auto-bg-props;
  }
}

// disable touch select blue spot
input,
textarea,
button,
select,
div,
a {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}


%fontello {
  @extend [class^="icon-"]:before;
}

$tomato: #ff6447; // tomato;

// .sync-left-canvas {
//   @include transition(transform 300ms ease-in-out); // //in sync with $offcanvas-transition-timing

//   .left-open & {
//     transform: translateX(265px);
//   }
// }

// .js-off-canvas-overlay.is-overlay-fixed.is-visible {
//   margin-left: $offcanvas-size;
//   pointer-events: all;
//   z-index: 1;
// }

//Generic slide props
.slide {
  @include auto-bg-props;
  min-height: 70px;
}

//homepage news listing
.view-12-image {
  align-items: flex-end;
  color: $white;
  display: flex;
  height: 185px;
  margin-bottom: $global-margin;
  padding: 3px 12px;
  position: relative;
  width: 100%;

  &::after {
    //  @include gradient-filter-toZero(#000000);
    background: linear-gradient(to bottom, $gradient-start, $gradient-end);
    // yellow bottom line
    content: '';
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
  }

  & .h2-class {
    @include line-clamp(2);
    position: relative;
    z-index: 1;
  }
}

.badge {
  @include font-size(11);
  font-weight: bold;
}

.stats { // used to display görüntülenme and yorum line
  @include font-size(11);
  color: $medium-gray-2;
  font-family: $dinpro-font-family;
  height: 18px;
}

.time { // bacge with red bg
  @include font-size(12);
  background-color: $primary-color;
  border-radius: 3px;
  color: $white;
  font-family: $dinpro-font-family;
  font-weight: bold;
  margin-right: 5px;
  padding: 1px 3px 2px 1px;

  &::before {
    @extend %fontello;
    content: '\e800';
  }
}

.spacer20 {
  display: block;
  height: 20px;
  width: 100%;
}
.spacer30 {
  display: block;
  height: 30px;
  width: 100%;
}

.spacer50 {
  display: block;
  height: 50px;
  width: 100%;
}

.h-line-spacer {
  background-color: $light-gray;
  // display: block;
  height: 1px;
  margin: 1em 0;
  transform: translateX(-10%);
  width: 120%;
}

.popup-gallery {
  figure {
    display: none;
  }
}

.flex-v {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
}

.flex-h {
  align-items: center;
  display: flex;
  flex-flow: row nowrap;
}

.single-line {
  -webkit-line-clamp: 1 !important;
}

.double-line {
  -webkit-line-clamp: 1 !important;
}

.highlight {
  color: $primary-color;
}

.description {
  @include font-size(14);
  color: $dark-gray;
  // font-weight: 300;
  margin: 20px auto;
  text-align: center;
  width: 90%;
}

.no-content {
  @include font-size(22);
  color: $medium-gray;
  height: 100%;
  margin-top: 30%;
  text-align: center;
  // font-weight: bold;
  width: 100%;
  // background-color: red;
}

.no-margin-list-container {
  background-color: $white;
  height: 100%;
  min-height: calc(100vh - 45px);
  width: 100%;
}

.-is-interaction-disabled {
  pointer-events: none;
  touch-action: none;
}

// .the-bottom-bar + .l-app {
//   .l-app__canvas--content {
//     // height: 80vh;
//     padding-bottom: 50px; // roughly height of bottom bar SHAME
//     // opacity: .5;
//   }
// }

// .l-app {
//   // pointer-events: auto;
//   @extend %z-l-app__canvas;
//   // overflow: hidden;
//   // padding-bottom: 60px!important; //SHAME ios bottom bar height
//   // position: relative;
//   &.-sidebar-is-open {
//     .l-app__canvas {
//       border-radius: 5px;
//       // pointer-events: none;
//       transform: translate3d($sidebar-is-open-x, $sidebar-is-open-y, 0);
//     }
//   }

//   &__canvas {
//     @extend %z-l-app__canvas;
//     @include box-shadow(0, 3px, 18px, rgba($black, .4));
//     @include transition(transform $offcanvas-time ease-in-out); 
//     background-color: #ffffff;
//     display: flex;
//     flex-flow: column nowrap;
//     flex-grow: 1;
//     flex-shrink: 0;
//     // height: 100%;
//     // height: 100vh; // SHAME calculate it dynamically resize-event.js overwrites this
//     margin: 0;
//     // overflow: hidden;
//     padding: 0;
//     position: relative;
//     transform: translate3d(0, 0, 0);
//     width: 100%;

//     &--fixed {
//       @extend %z-l-app__canvas--fixed;
//       position: fixed;
//       bottom: 0;
//       width: 100%;
//       // height: 0;
//       // overflow: visible;
//     }

//     &--header {
      
//     }

//     &--content {
//       overflow-y: scroll;
//       -webkit-overflow-scrolling: touch;
//       flex-grow: 1;
//     }

//     &--footer {
      
//     }
//   }
//   &__sidebar {
//     @extend %h-black-href;
//     @extend %z-sidebar;
//     left: 0;
//     position: absolute;
//     top: 0;
//     width: 100%;

//     &--user {
//       align-items: center;
//       background-color: $lightest-gray;
//       display: flex;
//       min-height: 110px;
//       padding-left: 18px;
//     }
//   }

// }


